Skip to main content
`Ctrl`+`K`

# SNESNASMGetNumber

Gets number of subsolvers

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMGetNumber(SNES snes, PetscInt *n)

Not Collective

## Input Parameter

- snes - the `SNES` context

## Output Parameter

- n - the number of subsolvers

## See Also

SNES: Nonlinear Solvers, `SNESNASM`, `SNESNASMGetSNES()`

## Level

intermediate

## Location

src/snes/impls/nasm/nasm.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages